#! /usr/bin/env python3
import argparse
from pprint import pprint, pformat
import sys
sys.path.insert(0,'./src/usr/sbin/')

from policy import *
# pprint(sys.path)
from policy_manager import Server

pprint("Starting test.sh")

def launch():
    server = Server()
    def _stub_check_connections():
        return {'policy': False,
            'api': False}
    server.check_connections = _stub_check_connections

    # handle cli arguments
    parser = argparse.ArgumentParser(prog='policy_manager')

    parser.add_argument('-v', '--verbose', action='store_true')
    parser.add_argument('-d', '--daemonize', action='store_true')
    parser.add_argument('-c', '--configuration-file', default="configuration.yaml")

    args = parser.parse_args()
    server.args = args.__dict__

    # load and propagate configuration
    server.load_config()

    # run server
    server.start()

launch()